Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rapi
Interface IOContext

All Known Subinterfaces:
  OdeRTInstanceContext

    public interface IOContext

Method Summary
`void` | `cancelSelect(java.lang.String selectId)` Cancel a previously issue {@link #select(String, Date, Selector[])) call.
`boolean` | `cancelTimer(java.lang.String timerId)` Cancel a timer.
`org.w3c.dom.Element` | `getMyRequest(java.lang.String mexId)` Get the request (i.e.
`javax.xml.namespace.QName` | `getPartnerFault(java.lang.String mexId)` Get partner's fault response to an invoke, or `null` if response was not a fault.
`java.lang.String` | `getPartnerFaultExplanation(java.lang.String mexId)`
`org.w3c.dom.Element` | `getPartnerResponse(java.lang.String mexId)` Get partner's response to an invoke.
`javax.xml.namespace.QName` | `getPartnerResponseType(java.lang.String mexId)`
`org.w3c.dom.Element` | `getSourceEPR(java.lang.String mexId)`
`java.lang.String` | `getSourceSessionId(java.lang.String mexId)`
`java.lang.String` | `invoke(java.lang.String invokeId, PartnerLink partnerLinkInstance, javax.wsdl.Operation operation, org.w3c.dom.Element outboundMsg)` Invoke a partner.
`void` | `registerTimer(java.lang.String timerId, java.util.Date timeToFire)` Registers a timer for future notification.
`void` | `releasePartnerMex(java.lang.String mexId, boolean instanceSucceeded)`
`void` | `reply(java.lang.String mexId, PartnerLink plink, java.lang.String opName, org.w3c.dom.Element msg, javax.xml.namespace.QName fault)` Send a reply to an open message-exchange.
`void` | `select(java.lang.String selectId, java.util.Date timeout, Selector[] selectors)` Non-deterministic "select" (used to implement receive/pick) and the like.

Method Detail

### select

    void select(java.lang.String selectId,
                java.util.Date timeout,
                Selector[] selectors)

  Non-deterministic "select" (used to implement receive/pick) and the like. Calling this method will request that the engine wait for the first message on a certain set of input ports.

  Parameters:
    `selectId` - client specified identifier for this operation.
    `timeout` - how long to wait for a response.
    `selectors` - the criteria for messages to receive

### cancelSelect

    void cancelSelect(java.lang.String selectId)

  Cancel a previously issue {@link #select(String, Date, Selector[])) call.

  Parameters:
    `selectId` - identifier for the select.

### reply

    void reply(java.lang.String mexId,
               PartnerLink plink,
               java.lang.String opName,
               org.w3c.dom.Element msg,
               javax.xml.namespace.QName fault)
               throws NoSuchOperationException

  Send a reply to an open message-exchange. TODO: remove plink paramater, should not be needed.

  Parameters:
    `mexId` - mex id to reply to
    `plink` - partner link on which we are replying (TODO: remove)
    `opName` - operation name
    `msg` - reply message
    `fault` - fault type, or `null` if no fault
  Throws:
    `NoSuchOperationException`

### invoke

    java.lang.String invoke(java.lang.String invokeId,
                            PartnerLink partnerLinkInstance,
                            javax.wsdl.Operation operation,
                            org.w3c.dom.Element outboundMsg)
                            throws UninitializedPartnerEPR

  Invoke a partner.

  Parameters:
    `invokeId` - request identifier
    `partnerLinkInstance` - partner link (on which to communicate)
    `operation` - operation to invoke
    `outboundMsg` - outgoing message
  Returns:
    message exchange identifier
  Throws:
    `UninitializedPartnerEPR`
    `FaultException`

### getPartnerResponse

    org.w3c.dom.Element getPartnerResponse(java.lang.String mexId)

  Get partner's response to an invoke.

  Parameters:
    `mexId` - message exchange identifier
  Returns:
    partner's reply

### getPartnerFault

    javax.xml.namespace.QName getPartnerFault(java.lang.String mexId)

  Get partner's fault response to an invoke, or `null` if response was not a fault.

  Parameters:
    `mexId` - message exchange identifier
  Returns:
    partner's fault reply.

### getPartnerFaultExplanation

    java.lang.String getPartnerFaultExplanation(java.lang.String mexId)

### getPartnerResponseType

    javax.xml.namespace.QName getPartnerResponseType(java.lang.String mexId)

### getMyRequest

    org.w3c.dom.Element getMyRequest(java.lang.String mexId)

  Get the request (i.e. a message received) received from a partner's invoke.

  Parameters:
    `mexId` - message exchange identifier
  Returns:

### releasePartnerMex

    void releasePartnerMex(java.lang.String mexId,
                           boolean instanceSucceeded)

### getSourceEPR

    org.w3c.dom.Element getSourceEPR(java.lang.String mexId)

### getSourceSessionId

    java.lang.String getSourceSessionId(java.lang.String mexId)

### registerTimer

    void registerTimer(java.lang.String timerId,
                       java.util.Date timeToFire)

  Registers a timer for future notification.

  Parameters:
    `timerChannel` - channel for timer notification
    `timeToFire` - future time to fire timer notification

### cancelTimer

    boolean cancelTimer(java.lang.String timerId)

  Cancel a timer.

  Parameters:
    `timerId` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD